#
# spec file for package perl-MD5 (Version 2.03)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-MD5
Version:        2.03
Release:        1.1
License:        CHECK(GPL+ or Artistic)
%define cpan_name MD5
Summary:        Perl interface to the MD5 Message-Digest Algorithm
Url:            http://search.cpan.org/dist/MD5/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/G/GA/GAAS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The 'MD5' module is *depreciated*. Use 'Digest::MD5' instead.

The current 'MD5' module is just a wrapper around the 'Digest::MD5' module.
It is provided so that legacy code that rely on the old interface still
work and get the speed benefit of the new module.

In addition to the methods provided for 'Digest::MD5' objects, this module
provide the class methods MD5->hash() and MD5->hexhash() that do the same
as the md5() and md5_hex() functions provided by 'Digest::MD5'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue May  3 2011 coolo@opensuse.org
- initial package 2.03
  * created by cpanspec 1.78.04
